%define module carrot

Name:           python-%{module}
Version:        0.10.7
Release:        %mkrel 10
Url:            http://github.com/ask/carrot/
Summary:        AMQP Messaging Framework for Python
License:        BSD
Group:          Development/Python
Source:         %{module}-%{version}.tar.bz2
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-amqplib
Requires:       python-anyjson
Requires:       python-yaml
BuildArch:      noarch

%description
An AMQP messaging queue framework. AMQP is the Advanced Message
Queuing Protocol, an open standard protocol for message orientation, queuing,
routing, reliability and security.

The aim of carrot is to make messaging in Python as easy as possible by
providing a high-level interface for producing and consuming messages. At the
same time it is a goal to re-use what is already available as much as possible.

%files
%doc Changelog README TODO
%{python_sitelib}/%{module}/
%{python_sitelib}/%{module}*.egg-info

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}



%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.10.7-10.mga6
+ Revision: 936356
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.7-9.mga5
+ Revision: 740949
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.10.7-8.mga5
+ Revision: 728131
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.10.7-7.mga5
+ Revision: 687917
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Nov 26 2013 philippem <philippem> 0.10.7-5.mga4
+ Revision: 553596
- fix file list and add requires on python-yaml

* Tue Oct 22 2013 umeabot <umeabot> 0.10.7-4.mga4
+ Revision: 543232
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.10.7-3.mga4
+ Revision: 498199
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.10.7-2.mga3
+ Revision: 378521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 neoclust <neoclust> 0.10.7-1.mga3
+ Revision: 314166
- imported package python-carrot


* Wed Jun 08 2011 Antoine Ginies <aginies@mandriva.com> 0.10.7-1mdv2011.0
+ Revision: 683244
- import python-carrot


* Wed Jun 8 2011 Antoine Ginies <aginies@mandriva.com> 0.10.7
- first release for Mandriva 

